package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;

/**
 * 月租车 业务
 */
public interface ITaUserLicenseService {


    /**
     * 关联车牌
     * @param carNo
     * @return
     */
    ResponseBean associatedLicense(UserElement userElement, String carNo);

    /**
     * 用户查询车牌
     * @param carNo
     * @return
     */
    ResponseBean getLicense(UserElement userElement, String carNo);

    /**
     * 获取用户所有车牌
     * @param userElement
     * @return
     */
    ResponseBean getAllUserLicense(UserElement userElement);

    /**
     * 用户删除车牌
     * @param userElement
     * @param licenseId
     * @return
     */
    ResponseBean deleteUserLicense(UserElement userElement, Integer licenseId);

}
